nvidia résolution bloquée à 1024*768

15 replies [Last post]
silemmo
Offline
Joined: 10/25/2012

Salut tous le monde, je suis nouveau sur Trisquel et Gnu/Linux en général, même si j'ai essayé Ubuntu et Debian.

J'aimerai savoir s'il était possible que vous m'aidiez à passer en 1920*1200 la résolution native de mon écran. En cherchant sur le net je n'ai rien trouver. Je crois que mes drivers sont en vesa, mais j'aimerai installer les «nouveau» pour voir s'ils permettent de passer à 1920*1200. Merci d'avanc et continuons comme ça dans la liberté.

Julius22
Offline
Joined: 07/02/2010

Bonjour et bienvenue dans notre communauté.

Quelle carte utilises-tu ?

silemmo
Offline
Joined: 10/25/2012

Bonjour, j'utilise une nvidia gtx 560 ti

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

nouveau devrait déjà être le pilote utilisé. Il te faut regarder vers les début de /var/log/Xorg.0.log pour le savoir. Pour cela, tu peux utiliser le "visionneur de journaux système". Dans mon cas (pilote "intel"), je peux par exemple lire :
[ 31.966] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
Sandybridge Desktop (GT1), Sandybridge Desktop (GT2),
Sandybridge Desktop (GT2+), Sandybridge Mobile (GT1),
Sandybridge Mobile (GT2), Sandybridge Mobile (GT2+),
Sandybridge Server, Ivybridge Mobile (GT1), Ivybridge Mobile (GT2),
Ivybridge Desktop (GT1), Ivybridge Desktop (GT2), Ivybridge Server

Il est normal que "vesa" soit aussi mentionné dans ce journal.

silemmo
Offline
Joined: 10/25/2012

Merci pour votre réponse,

j'ai vu que j'avais les VESA dans System Settings -> System Info, dans Graphics c'est marqué

Driver VESA: GF104B Board - 10400050
Experience Fallback

J'aimerai les remplacer par les drivers nouveau pour voir si je peu passé à 1920*1200.

Merci pour votre aide, je cherche sur internet mais je trouve pas grand chose.

Julius22
Offline
Joined: 07/02/2010

Sur le wiki de nouveau, ta carte devrait être supportée par nouveau. Mais, d'après ce que je lis, il faut un noyau récent (mais à quel point ?). Donc, quel noyau utilises-tu ?

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

En effet, il est écrit, à propos de la famille dont la GeForce GTX 560 Ti fait parti :
These cards are generally working with the latest kernel and Mesa but may still have power management issues. It is recommended to use the Linux 3.1 kernel

Or le noyau "normal" de Trisquel 5.5 Brigantia est Linux-libre 3.0. La bonne nouvelle est qu'un utilisateur Trisquel, Jason Self, maintient un dépôt fournissant les dernière versions du noyau Linux-libre. Il suffit donc de suivre les quelques pas indiqués sur cette page pour installer, à ce jour, Linux-libre 3.6.2. Mieux : il y a une page dans la documentation francophone de Trisquel.

silemmo
Offline
Joined: 10/25/2012

Merci encore pour votre aide, j'ai suivi les étapes mais quand je veux installer ça me met ça :

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
linux-libre64 : Depends: linux-image-3.6.2-gnu but it is not installable
linux-libre64-headers : Depends: linux-headers-3.6.2-gnu but it is not installable
E: Unable to correct problems, you have held broken packages.

J'ai trouvé ceux-ci dans synaptics:
linux-image-3.6.3-gnu
linux-headers-3.6.3-gnu

Je l'ai install et j'assaye

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Si tu es certain d'avoir bien suivi toutes les étapes (y compris le 'sudo apt-get update'), je te conseillerais de contacter Jason. J'utilisais ce dépôt par le passé (Linux-libre 3.0 remplit mes besoins maintenant) et plusieurs utilisateurs anglophones semblent toujours l'utiliser sans problème.

silemmo
Offline
Joined: 10/25/2012

Rebonjour, je suis passé au noyau 3.6.3-gnu mais toujours pas moyen de changer la résolution de l'écran. Donc problème reste en stand by, merci quand même

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Nous n'avons pas répondu à ta question initiale : le paquet permettant l'utilisation par le serveur graphique du pilote "nouveau" s'appelle xserver-xorg-video-nouveau. Il est très probablement déjà installé sur ton système (il est inclus dans le système par défaut... à moins que tu ais choisi une NetInstall).

Comme je l'ai déjà écrit, tu devrais lire /var/log/Xorg.0.log pour savoir si il s'agit bien du pilote utilisé.

silemmo
Offline
Joined: 10/25/2012

Je pense avoir répondu en disant que c'était les VESA qui étaient utilisé. J'ai essayé en désinstallant les VESA et c'était pire du 640*480.

Pour info j'ai installé trisquel avec nomodeset.

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Tu as supprimé le paquet xserver-xorg-video-vesa ? Je ne ferait pas cela à ta place. C'est toujours utile d'avoir un "fallback" en cas de problème avec le meilleur pilote.

Par ailleurs, il n'étais pas clair, dans ton précédent message, que as bien regardé dans /var/log/Xorg.0.log pour découvrir le pilote utilisé. Par ailleurs, il n'est toujours pas clair quelles lignes de ce journal t'ont permis d'arriver à cette conclusion (car il est normal que VESA soit mentionné même si ce n'est pas le pilote "vesa" qui est en charge de l'affichage). As-tu vu, par exemple, une erreur (indiqué par "(EE)") concernant le pilote "nouveau" ?

Je suppose que "nomodeset" peut être la source du problème. Ce mot clé est-il indiqué à la sortie de la commande suivante :
$ fgrep LINUX_DEFAULT /etc/default/grub

Si oui, tu peux essayer de le retirer en éditant (ici avec gedit) le fichier :
$ sudo gedit /etc/default/grub
Puis mettre à jour la configuration de GRUB :
$ sudo update-grub
Et redémarrer.

silemmo
Offline
Joined: 10/25/2012

Re-salut tous le monde, bon vu que y a pas vraiment de solution, je suis repassé sur windows/linux-mint xfce en attendant la sortie de trisquel 6. Merci encore pour votre aide, je garde mon boot trisquel au cas où je tombe sur une solution.

silemmo
Offline
Joined: 10/25/2012

Salut à tous, je suis revenu car c'était trop bête et la liberté m'attire trop. Bref ci-dessous une partie de mon Xorg.0.log.

PS: j'ai installé avec nomodeset car sinon l'écran restait noire, après l'install j'ai essayé d'enlever le nomodeset de grub pour voire, mais l'écran reste toujours noire alors je l'ai remis. J'ai l'impression que ça détecte pas mon écran qui est un benq G2400W et ma carte graphique qui est une Geforce 560 ti.

PS2: ma carte mère à un chip graphique intel z68 si jamais il y a des solutions de se côté là je suis preneur aussi, le but étant d'atteindre enfin mes 1920*1200 ;).

Merci encore pour votre passion/patience et bisous voici le log :

[ 14.719]
X.Org X Server 1.10.4
Release Date: 2011-08-19
[ 14.719] X Protocol Version 11, Revision 0
[ 14.719] Build Operating System: Linux 2.6.24-29-server x86_64 Ubuntu
[ 14.719] Current Operating System: Linux selo-desktop 3.0.0-17-generic #5trisquel1 SMP Thu Mar 29 10:16:24 UTC 2012 x86_64
[ 14.719] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.0.0-17-generic root=UUID=c1f26ac6-e163-49d9-83d2-c02a6e380a3b ro nomodeset quiet splash vt.handoff=7
[ 14.719] Build Date: 19 October 2011 05:21:26AM
[ 14.719] xorg-server 2:1.10.4-1ubuntu4.2 (For technical support please see http://www.ubuntu.com/support)
[ 14.719] Current version of pixman: 0.22.2
[ 14.720] Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
[ 14.720] Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 14.720] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Oct 29 20:47:46 2012
[ 14.760] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[ 14.787] (==) No Layout section. Using the first Screen section.
[ 14.787] (==) No screen section available. Using defaults.
[ 14.787] (**) |-->Screen "Default Screen Section" (0)
[ 14.787] (**) | |-->Monitor ""
[ 14.787] (==) No monitor specified for screen "Default Screen Section".
Using a default monitor configuration.
[ 14.787] (==) Automatically adding devices
[ 14.787] (==) Automatically enabling devices
[ 14.887] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[ 14.888] Entry deleted from font path.
[ 14.888] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[ 14.888] Entry deleted from font path.
[ 14.888] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[ 14.888] Entry deleted from font path.
[ 14.896] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[ 14.896] Entry deleted from font path.
[ 14.896] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[ 14.896] Entry deleted from font path.
[ 14.932] (WW) `fonts.dir' not found (or not valid) in "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType".
[ 14.932] Entry deleted from font path.
[ 14.932] (Run 'mkfontdir' on "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType").
[ 14.932] (==) FontPath set to:
/usr/share/fonts/X11/misc,
/usr/share/fonts/X11/Type1,
built-ins
[ 14.932] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
[ 14.932] (II) The server relies on udev to provide the list of input devices.
If no devices become available, reconfigure udev or disable AutoAddDevices.
[ 14.932] (II) Loader magic: 0x7e0220
[ 14.932] (II) Module ABI versions:
[ 14.932] X.Org ANSI C Emulation: 0.4
[ 14.932] X.Org Video Driver: 10.0
[ 14.932] X.Org XInput driver : 12.3
[ 14.932] X.Org Server Extension : 5.0
[ 14.933] (--) PCI: (0:0:2:0) 8086:0112:1849:0112 rev 9, Mem @ 0xf6400000/4194304, 0xd0000000/268435456, I/O @ 0x0000f000/64
[ 14.933] (--) PCI:*(0:1:0:0) 10de:1200:19da:2227 rev 161, Mem @ 0xf4000000/33554432, 0xe0000000/134217728, 0xe8000000/67108864, I/O @ 0x0000e000/128, BIOS @ 0x????????/524288
[ 14.933] (II) Open ACPI successful (/var/run/acpid.socket)
[ 14.933] (II) LoadModule: "extmod"
[ 15.030] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[ 15.058] (II) Module extmod: vendor="X.Org Foundation"
[ 15.058] compiled for 1.10.4, module version = 1.0.0
[ 15.058] Module class: X.Org Server Extension
[ 15.058] ABI class: X.Org Server Extension, version 5.0
[ 15.058] (II) Loading extension MIT-SCREEN-SAVER
[ 15.058] (II) Loading extension XFree86-VidModeExtension
[ 15.058] (II) Loading extension XFree86-DGA
[ 15.058] (II) Loading extension DPMS
[ 15.058] (II) Loading extension XVideo
[ 15.058] (II) Loading extension XVideo-MotionCompensation
[ 15.058] (II) Loading extension X-Resource
[ 15.058] (II) LoadModule: "dbe"
[ 15.058] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[ 15.075] (II) Module dbe: vendor="X.Org Foundation"
[ 15.075] compiled for 1.10.4, module version = 1.0.0
[ 15.075] Module class: X.Org Server Extension
[ 15.075] ABI class: X.Org Server Extension, version 5.0
[ 15.075] (II) Loading extension DOUBLE-BUFFER
[ 15.075] (II) LoadModule: "glx"
[ 15.076] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[ 15.099] (II) Module glx: vendor="X.Org Foundation"
[ 15.099] compiled for 1.10.4, module version = 1.0.0
[ 15.099] ABI class: X.Org Server Extension, version 5.0
[ 15.099] (==) AIGLX enabled
[ 15.099] (II) Loading extension GLX
[ 15.113] (II) LoadModule: "record"
[ 15.113] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[ 15.128] (II) Module record: vendor="X.Org Foundation"
[ 15.128] compiled for 1.10.4, module version = 1.13.0
[ 15.128] Module class: X.Org Server Extension
[ 15.128] ABI class: X.Org Server Extension, version 5.0
[ 15.128] (II) Loading extension RECORD
[ 15.128] (II) LoadModule: "dri"
[ 15.128] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[ 15.168] (II) Module dri: vendor="X.Org Foundation"
[ 15.168] compiled for 1.10.4, module version = 1.0.0
[ 15.168] ABI class: X.Org Server Extension, version 5.0
[ 15.168] (II) Loading extension XFree86-DRI
[ 15.168] (II) LoadModule: "dri2"
[ 15.168] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[ 15.175] (II) Module dri2: vendor="X.Org Foundation"
[ 15.175] compiled for 1.10.4, module version = 1.2.0
[ 15.175] ABI class: X.Org Server Extension, version 5.0
[ 15.175] (II) Loading extension DRI2
[ 15.175] (==) Matched nvidia as autoconfigured driver 0
[ 15.175] (==) Matched nouveau as autoconfigured driver 1
[ 15.175] (==) Matched nv as autoconfigured driver 2
[ 15.175] (==) Matched vesa as autoconfigured driver 3
[ 15.175] (==) Matched fbdev as autoconfigured driver 4
[ 15.175] (==) Assigned the driver to the xf86ConfigLayout
[ 15.175] (II) LoadModule: "nvidia"
[ 15.183] (WW) Warning, couldn't open module nvidia
[ 15.183] (II) UnloadModule: "nvidia"
[ 15.183] (II) Unloading nvidia
[ 15.183] (EE) Failed to load module "nvidia" (module does not exist, 0)
[ 15.183] (II) LoadModule: "nouveau"
[ 15.183] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[ 15.206] (II) Module nouveau: vendor="X.Org Foundation"
[ 15.206] compiled for 1.10.4, module version = 0.0.16
[ 15.206] Module class: X.Org Video Driver
[ 15.206] ABI class: X.Org Video Driver, version 10.0
[ 15.206] (II) LoadModule: "nv"
[ 15.206] (WW) Warning, couldn't open module nv
[ 15.206] (II) UnloadModule: "nv"
[ 15.206] (II) Unloading nv
[ 15.206] (EE) Failed to load module "nv" (module does not exist, 0)
[ 15.206] (II) LoadModule: "vesa"
[ 15.206] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[ 15.230] (II) Module vesa: vendor="X.Org Foundation"
[ 15.230] compiled for 1.10.2, module version = 2.3.0
[ 15.230] Module class: X.Org Video Driver
[ 15.230] ABI class: X.Org Video Driver, version 10.0
[ 15.230] (II) LoadModule: "fbdev"
[ 15.231] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[ 15.231] (II) Module fbdev: vendor="X.Org Foundation"
[ 15.231] compiled for 1.10.0, module version = 0.4.2
[ 15.231] ABI class: X.Org Video Driver, version 10.0
[ 15.231] (II) NOUVEAU driver Date: Thu Mar 24 02:13:12 2011 +1000
[ 15.231] (II) NOUVEAU driver for NVIDIA chipset families :
[ 15.231] RIVA TNT (NV04)
[ 15.231] RIVA TNT2 (NV05)
[ 15.231] GeForce 256 (NV10)
[ 15.231] GeForce 2 (NV11, NV15)
[ 15.231] GeForce 4MX (NV17, NV18)
[ 15.231] GeForce 3 (NV20)
[ 15.231] GeForce 4Ti (NV25, NV28)
[ 15.231] GeForce FX (NV3x)
[ 15.231] GeForce 6 (NV4x)
[ 15.231] GeForce 7 (G7x)
[ 15.231] GeForce 8 (G8x)
[ 15.231] GeForce GTX 200 (NVA0)
[ 15.231] GeForce GTX 400 (NVC0)
[ 15.231] (II) VESA: driver for VESA chipsets: vesa
[ 15.231] (II) FBDEV: driver for framebuffer: fbdev
[ 15.231] (++) using VT number 7

silemmo
Offline
Joined: 10/25/2012

Youpiii, j'ai réussi, j'ai mis à jour le kernel 3.6.2 et j'ai enlevé le nomodeset de grub, en fait quand je fesait update-grub, il remettait le nomodeset je ne sais pas pourquoi.

Bref, le problème est résolut, merci encore à tous, je peu enfin me débarasser de windows et des autres gnu/linux pas totalement libre.

Reste plus qu'a faire marcher la 3d pour gnome shell. Mais bon je vais pas mourir.